# pandas.core.window.Rolling.quantile

`Rolling.``quantile`(quantile, interpolation='linear', **kwargs)

  Calculate the rolling quantile.

  Parameters:

  quantile : float

  > Quantile to compute. 0 <= quantile <= 1.

  interpolation : {‘linear’, ‘lower’, ‘higher’, ‘midpoint’, ‘nearest’}

  > New in version 0.23.0.

  > This optional parameter specifies the interpolation method to use, when the desired quantile lies between two data points i and j:

  > > - linear: i + (j - i) * fraction, where fraction is the fractional part of the index surrounded by i and j.
  > > - lower: i.
  > > - higher: j.
  > > - nearest: i or j whichever is nearest.
  > > - midpoint: (i + j) / 2.

  **kwargs:

  > For compatibility with other rolling methods. Has no effect on the result.

  Returns:

  Series or DataFrame

  > Returned object type is determined by the caller of the rolling calculation.

  See also

  `Series.quantile`
    Computes value at the given quantile over all data in Series.
  `DataFrame.quantile`
    Computes values at the given quantile over requested axis in DataFrame.

  Examples

      >>> s = pd.Series([1, 2, 3, 4])
      >>> s.rolling(2).quantile(.4, interpolation='lower')
      0    NaN
      1    1.0
      2    2.0
      3    3.0
      dtype: float64

      >>> s.rolling(2).quantile(.4, interpolation='midpoint')
      0    NaN
      1    1.5
      2    2.5
      3    3.5
      dtype: float64

Scroll To Top